---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: ingress-demo
  namespace: default
spec:
  replicas: 3
  selector:
    matchLabels:
      app: ingress-demo
  template:
    metadata:
      labels:
        app: ingress-demo
    spec:
      containers:
        - name: ingress-demo
          image: neilpeterson/aks-helloworld:v1
          ports:
            - containerPort: 80
          env:
            - name: TITLE
              value: "K8S AKS DEMO DDG-P3R"
---
apiVersion: v1
kind: Service
metadata:
  name: ingress-demo
  namespace: default
spec:
  type: ClusterIP
  ports:
    - port: 80
      name: http
  selector:
    app: ingress-demo

---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: ingress-demo
  namespace: default
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/tls-acme: 'true'
    cert-manager.io/cluster-issuer: letsencrypt-prod
spec:
  tls:
    - hosts:
        - ingressaksdevstage01.westeurope.cloudapp.azure.com
      secretName: ingressaksdevstage01-westeurope-cloudapp-azure-com
  rules:
    - host: ingressaksdevstage01.westeurope.cloudapp.azure.com
      http:
        paths:
          - path: /
            backend:
              serviceName: ingress-demo
              servicePort: http
